Subject: Re: [PATCH net-next] selftests: forwarding: lib.sh: ignore "Address not found"

From: Ido Schimmel <[email-masked]>
Date: Thu, 8 Aug 2024 17:25:57 +0300

On Thu, Aug 08, 2024 at 04:53:51PM +0800, Geliang Tang wrote:
> Yes indeed, the addresses are deleted by NetworkManager. Does this mean
> that this test will be affected by the network environment in which it
> is running? Is it necessary to run this test in a new network
> namespace?

No. See tools/testing/selftests/net/forwarding/README for the motivation
for using VRFs instead of namespaces. Why NetworkManager is deleting
addresses it did not add from interfaces it did not create?